# React Native GTK4

React Native GTK4 allows you to build native GTK4 applications using React. It provides a bridge between React and the GTK4 toolkit, enabling you to develop cross-platform desktop applications with familiar React components and development patterns.

[![Version](https://img.shields.io/npm/v/react-native-gtk4?style=flat-square)](https://www.npmjs.com/package/react-native-gtk4)
[![Build](https://img.shields.io/github/actions/workflow/status/eugeniodepalo/react-native-gtk4/ci.yml?style=flat-square)](https://github.com/eugeniodepalo/react-native-gtk4/actions/workflows/ci.yml)
[![Codecov](https://img.shields.io/codecov/c/github/eugeniodepalo/react-native-gtk4?logo=codecov&style=flat-square)](https://codecov.io/gh/eugeniodepalo/react-native-gtk4)
[![Downloads](https://img.shields.io/npm/dw/react-native-gtk4?logo=npm&style=flat-square)](https://npmtrends.com/react-native-gtk4)
[![Stars](https://img.shields.io/github/stars/eugeniodepalo/react-native-gtk4?logo=github&style=flat-square)](https://github.com/eugeniodepalo/react-native-gtk4/stargazers)
[![License](https://img.shields.io/npm/l/react-native-gtk4?style=flat-square)](https://github.com/eugeniodepalo/react-native-gtk4/blob/main/LICENSE)

## Getting Started

### Prerequisites

Before you begin, ensure that you have the following installed on your development machine:

- [Node.js](https://nodejs.org) (v18 or higher)
- [GTK4](https://www.gtk.org/docs/installations)

### Installation

To install React Native GTK4, you can use npm:

```shell
npm install react-native-gtk4
```

### Usage

Check out the example applications in the [examples](https://github.com/eugeniodepalo/react-native-gtk4/tree/main/examples) directory for a working example of a React Native GTK4 application.

## Contributing

We welcome contributions to React Native GTK4! To contribute, please follow these steps:

1. Fork the repository and create your branch from `main`.
2. Make your changes and ensure that the code passes the linting rules.
3. Write tests to cover your changes, if applicable.
4. Commit your changes and push them to your forked repository.
5. Open a pull request to the main repository with a clear description of your changes.

## License

React Native GTK4 is released under the [MPL-2.0](https://opensource.org/licenses/MPL-2.0). See the [LICENSE](LICENSE) file for more information.

## Acknowledgements

React Native GTK4 is built upon the foundations of node-gtk and ts-for-gir. We would like to express our gratitude to the original authors of these projects for their work.
